Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365852 - VIPs get set by Keepalived even though Pacemaker is enabled
Summary: VIPs get set by Keepalived even though Pacemaker is enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: Upstream M3
: 10.0 (Newton)
Assignee: Jiri Stransky
QA Contact: Asaf Hirshberg
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 11:06 UTC by Marius Cornea
Modified: 2016-12-14 15:50 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-5.0.0-0.20160817161003.bacc2c6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:50:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 314208 None None None 2016-08-10 14:37:00 UTC

Description Marius Cornea 2016-08-10 11:06:33 UTC
Description of problem:
On the overcloud controllers the VIPs get set by Keepalived even though pacemaker is enabled:

Deployment command:

source ~/stackrc
export THT=/usr/share/openstack-tripleo-heat-templates
openstack overcloud deploy --templates $THT \
-e $THT/environments/network-isolation-v6.yaml \
-e $THT/environments/network-management.yaml \
-e ~/templates/network-environment-v6.yaml \
-e $THT/environments/storage-environment.yaml \
-e ~/templates/disk-layout.yaml \
-e ~/templates/wipe-disk-env.yaml \
-e $THT/environments/puppet-pacemaker.yaml \
--control-scale 3 \
--control-flavor controller \
--compute-scale 1 \
--compute-flavor compute \
--ceph-storage-scale 1 \
--ceph-storage-flavor ceph \
--ntp-server clock.redhat.com \
--libvirt-type qemu 


Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates-5.0.0-0.20160725225924.77f6c40.1.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1. Deploy overcloud with pacemaker enabled

2. SSH into one of the controllers


Actual results:


systemctl status keepalived
● keepalived.service - LVS and VRRP High Availability Monitor
   Loaded: loaded (/usr/lib/systemd/system/keepalived.service; enabled; vendor preset: disabled)
   Active: active (running) since Wed 2016-08-10 10:02:02 UTC; 49min ago
 Main PID: 13722 (keepalived)
   CGroup: /system.slice/keepalived.service
           ├─13722 /usr/sbin/keepalived -D
           ├─13723 /usr/sbin/keepalived -D
           └─13724 /usr/sbin/keepalived -D

pcs status | grep ip
Cluster name: tripleo_cluster
 ip-fd00.fd00.fd00.2000..13	(ocf::heartbeat:IPaddr2):	Stopped
 ip-192.168.0.14	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-0
 ip-2001.db8.ca2.4..18	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-1
 ip-fd00.fd00.fd00.3000..11	(ocf::heartbeat:IPaddr2):	Stopped
 ip-fd00.fd00.fd00.4000..13	(ocf::heartbeat:IPaddr2):	Stopped
 ip-fd00.fd00.fd00.2000..12	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-1
* ip-fd00.fd00.fd00.2000..13_start_0 on overcloud-controller-1 'unknown error' (1): call=6, status=complete, exitreason=' failed.',
* ip-fd00.fd00.fd00.3000..11_start_0 on overcloud-controller-1 'unknown error' (1): call=87, status=complete, exitreason=' failed.',
* ip-fd00.fd00.fd00.4000..13_start_0 on overcloud-controller-1 'unknown error' (1): call=86, status=complete, exitreason=' failed.',
* ip-fd00.fd00.fd00.2000..13_start_0 on overcloud-controller-0 'unknown error' (1): call=6, status=complete, exitreason=' failed.',
* ip-fd00.fd00.fd00.4000..13_start_0 on overcloud-controller-0 'unknown error' (1): call=74, status=complete, exitreason=' failed.',
* ip-fd00.fd00.fd00.3000..11_start_0 on overcloud-controller-0 'unknown error' (1): call=80, status=complete, exitreason=' failed.',
* ip-fd00.fd00.fd00.2000..13_start_0 on overcloud-controller-2 'unknown error' (1): call=10, status=complete, exitreason=' failed.',
* ip-fd00.fd00.fd00.3000..11_start_0 on overcloud-controller-2 'unknown error' (1): call=74, status=complete, exitreason=' failed.',
* ip-fd00.fd00.fd00.4000..13_start_0 on overcloud-controller-2 'unknown error' (1): call=82, status=complete, exitreason=' failed.',


Expected results:
Keepalived is stopped and the VIPs are managed by Pacemaker

Additional info:

This issue has been fixed by:
https://review.openstack.org/#/c/314208/30/puppet/services/pacemaker/haproxy.yaml

Comment 5 Asaf Hirshberg 2016-09-25 08:12:57 UTC
OpenStack-10.0-RHEL-7 Puddle: 2016-09-22.2

root@overcloud-controller-0 ~]# systemctl status keepalived
● keepalived.service - LVS and VRRP High Availability Monitor
   Loaded: loaded (/usr/lib/systemd/system/keepalived.service; disabled; vendor preset: disabled)
   Active: inactive (dead)
[root@overcloud-controller-0 ~]# pcs status
Cluster name: tripleo_cluster
Stack: corosync
Current DC: overcloud-controller-0 (version 1.1.15-9.el7-e174ec8) - partition with quorum
Last updated: Sun Sep 25 04:16:04 2016		Last change: Thu Sep 22 15:40:19 2016 by root via cibadmin on overcloud-controller-0

3 nodes and 19 resources configured

Online: [ overcloud-controller-0 overcloud-controller-1 overcloud-controller-2 ]

Full list of resources:

 ip-10.35.180.19	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-0
 ip-172.18.0.14	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-1
 Clone Set: haproxy-clone [haproxy]
     Started: [ overcloud-controller-0 overcloud-controller-1 overcloud-controller-2 ]
 Master/Slave Set: galera-master [galera]
     Masters: [ overcloud-controller-0 overcloud-controller-1 overcloud-controller-2 ]
 ip-172.17.0.13	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-2
 ip-192.0.2.9	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-0
 Clone Set: rabbitmq-clone [rabbitmq]
     Started: [ overcloud-controller-0 overcloud-controller-1 overcloud-controller-2 ]
 Master/Slave Set: redis-master [redis]
     Masters: [ overcloud-controller-0 ]
     Slaves: [ overcloud-controller-1 overcloud-controller-2 ]
 ip-172.19.0.10	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-1
 ip-172.17.0.15	(ocf::heartbeat:IPaddr2):	Started overcloud-controller-2
 openstack-cinder-volume	(systemd:openstack-cinder-volume):	Started overcloud-controller-0

Daemon Status:
  corosync: active/enabled
  pacemaker: active/enabled
  pcsd: active/enabled
[root@overcloud-controller-0 ~]#

Comment 8 errata-xmlrpc 2016-12-14 15:50:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.